local mod = ...


-------------------------------------------------------
--[[====================TREES====================]]--
-------------------------------------------------------

mod:registerAssetId("models/Scenery.fbx/Prefab/CherryBlossem", "PREFAB_CHERRY_BLOSSOM")
mod:registerAssetId("models/Scenery.fbx/Materials/CherryBlossom", "BLOSSOM")

mod:override({
    Id = "BLOSSOM",
	HasAlphaTest = true,
	BackFaceVisible = true
})

--[[mod:registerPrefabComponent("models/Scenery.fbx/Prefab/CherryBlossem", {
	DataType = "COMP_TREE",
	IsActive = true
})
--[[mod:registerPrefabComponent("models/Scenery.fbx/Prefab/CherryBlossem", {
	DataType = "COMP_GROUNDED"
})]]--


mod:register({
	DataType = "BUILDING_PART",
	Id = "CHERRY_BLOSSOM",
	Name = "CHERRY_BLOSSOM_NAME",
	Description = "CHERRY_BLOSSOM_DESC",
	Category = "DECO",
	ConstructionVisual = "PREFAB_TREE_OAK",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_CHERRY_BLOSSOM"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 }
		}
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.05
		}
	},
	--this is a testing cheet
	--[[EstateSplendor = {
		{
			Estate = "LABOUR",
			Quantity = 100
		}
	}]]--
})

